#
# the special method __pervasive__ is added to all objects - it can be used to
# access the pristine state 
#
  require 'pervasives'

  class C
    def instance_eval(*a, &b) raise end 
  end

  c = C.new

  c.__pervasive__(:instance_eval){ @a = 42 }

  p c.instance_variables #=> ["@a"]
